/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../libs.h"

/** Callback to set the window title */
typedef void clientsettitle_t(char *string);

typedef struct {
  clientsettitle_t *setTitle;
} client_t;

/**
 * Initialize the client to its default state.
 * 
 * @param client Client to initialize.
 */
void clientInit(client_t *client);